Subject: bug#20369: closed (Re: bug#20369: Rendering problems and fill column)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 11 Dec 2020 10:56:02 +0000

Your bug report

#20369: Rendering problems and fill column

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20369: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20369
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20369: Rendering problems and fill column
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 11 Dec 2020 04:55:13 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> It seems like the author of Fill-Column-Indicator is now recommending
>> the use of "display-fill-column-indicator":
>>
>> > The functionality provided by this package has now been implemented
>> > natively in Emacs as display-fill-column-indicator-mode, available as of
>> > version 27.0.90. Unless you are forced to use an older Emacs, you should
>> > use the native implementation instead of fci-mode. It's unaffected by
>> > most of the compatibility issues that this add-on has.
>>
>> https://github.com/alpaker/fill-column-indicator
>>
>> Does that mean that this bug could be closed, or is there more to do
>> here?
>
> I think this should be closed, yes.

Done.

If anyone disagrees and there is more to do here, please reopen the bug.

Subject: Rendering problems and fill column
From: Mark Karpov <[email-masked]>
To: [email-masked]
Date: Sun, 19 Apr 2015 15:57:58 +0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

I use `fill-column-indicator' package, however, it introduces some
rendering problems, see this issue for example (other issues are also
known):

https://github.com/alpaker/Fill-Column-Indicator/issues/58

It may seem to be not a problem of vanilla Emacs, but the author of the
package says:

> This appears to be a regression in Emacs's display engine's handling
> of cursor text properties. I'll look into isolating the underlying
> issue and filing a bug report. I'll report back here (and close this
> issue) after doing so.

Not sure if he did so or not. If it's really a regression in Emacs's
display engine, can we hope that it will be fixed in Emacs 25? Also, in
my opinion, indication of fill column must be a built-in feature,
because it's even more important than indication of empty lines at the
end of file (which is implemented).

What is your opinion on this problem?

Best,

— Mark Karpov